import { createAsyncStructure, createActionStructure } from 'store/utils/actions';

import constants from './constants';

const actions = {
  load: createAsyncStructure(`${constants.prefix}_shop_load`),
  loadOne: createAsyncStructure(`${constants.prefix}_shop_load_one`),
  add: createAsyncStructure(`${constants.prefix}_shop_add`),
  edit: createAsyncStructure(`${constants.prefix}_shop_edit`),
  delete: createAsyncStructure(`${constants.prefix}_shop_delete`),
  search: createAsyncStructure(`${constants.prefix}_shop_search`),
  order: {
    markPaid: createAsyncStructure(`${constants.prefix}_shop_order_mark_paid`),
    markUnPaid: createAsyncStructure(`${constants.prefix}_shop_order_mark_unpaid`),
    cancel: createAsyncStructure(`${constants.prefix}_shop_order_cancel`),
    reimburse: createAsyncStructure(`${constants.prefix}_shop_order_reimburse`),
  },
  vat: {
    loadValues: createAsyncStructure(`${constants.prefix}_vat_load_values`),
    resetValues: createActionStructure(`${constants.prefix}_vat_reset_values`),
  },
};

export default actions;
